phy_force_reduction
Prev | PHY Support | Next

## Name

phy_force_reduction — reduce PHY speed/duplex settings by one step

## Synopsis

`void phy_force_reduction (` | struct phy_device * | phydev`)`;

## Arguments

`phydev`

  target phy_device struct

## Description

Reduces the speed/duplex settings by one notch, in this order-- 1000/FULL, 1000/HALF, 100/FULL, 100/HALF, 10/FULL, 10/HALF. The function bottoms out at 10/HALF.

Prev | Up | Next
phy_stop_machine | Home | phy_error